Subject: Re: [PATCH][XFRM] Optimize policy dumping

From: jamal <[email-masked]>
Date: Mon, 04 Dec 2006 09:05:00 -0500

Patrick,

Your approach is much cleaner. Let me give these a few tests then
I will repost later today; forget about the callback approach for now.

cheers,
jamal

On Mon, 2006-04-12 at 08:58 -0500, jamal wrote:
> On Mon, 2006-04-12 at 14:57 +0100, Patrick McHardy wrote:
> 
> >  I think the complications come from the fact that you remeber two
> >  policies, but only one seems necessary.  How about this (completely
> >  untested) patch? It simply uses increasing sequence numbers for all
> >  but the last entry and uses zero for the last one.
> > 
> 
> I could give this a try in about 2 hours. But why dont you like the
> callback approach? You have to admit, this is hairy code.
> 
> > And the same for SAs.
> > 
> 
> The SA has less things to remember, so it is easier; but i will apply
> this and test it and if it meets the requirements I will look into
> converting the SA to the same scheme.
> 
> cheers,
> jamal
>